# ~~~
# SPDX-License-Identifier: MIT
# SPDX-FileCopyrightText: 2026, Friedrich-Alexander-Universität Erlangen-Nürnberg (FAU)
# ~~~

cmake_minimum_required(VERSION 3.20)

project(adpcm_enc)

set(TACLEBENCH_ROOT_PATH "${CMAKE_CURRENT_LIST_DIR}/../../..")
set(REPOSITORY_ROOT_PATH "${CMAKE_CURRENT_LIST_DIR}/../../../..")

set(APP_TARGET_NAME "${CMAKE_PROJECT_NAME}")

if(DEFINED TACLEBENCH_VARIANT AND "${TACLEBENCH_VARIANT}" STREQUAL "inline")
    set(APP_SOURCE_FILE_PATH 
        "generated/modified_sources/inline/adpcm_enc.c")
else()
    set(APP_SOURCE_FILE_PATH 
        "generated/modified_sources/default/adpcm_enc.c")
endif()

include(${REPOSITORY_ROOT_PATH}/cmake/taclebench_wasm.cmake)


